/*
 * Lua Commander - Lua Notepad
 *
 * Copyright (C) 1999-2000, Antonio E. Scuri, Tecgraf/PUC-Rio.
 */


#ifndef __LNOTEPAD_H
#define __LNOTEPAD_H

#if	defined(__cplusplus)
extern "C" {
#endif
                    

int luaNotepadShow(void);
void luaNotepadCreate(char* parent, int close);
void luaNotepadKill(void);

int luaNotepadClear(void);
void luaNotepadSet(char* text);
void luaNotepadSetf(char* format, ...);
void luaNotepadAdd(char* text);
void luaNotepadAddf(char* format, ...);
void luaNotepadInsert(char* text);
void luaNotepadInsertf(char* format, ...);
char* luaNotepadGet(void);

int luaNotepadLoadDlg(void);
int luaNotepadSaveDlg(void);
void luaNotepadLoad(char* file_name);
void luaNotepadSave(char* file_name);


#if defined(__cplusplus)
}
#endif

#endif  
