/*
 * Lua Commander - Lua Console
 *
 * Copyright (C) 1999-2000, Antonio E. Scuri, Tecgraf/PUC-Rio.
 */


#ifndef __LCONSOLE_H
#define __LCONSOLE_H

#if	defined(__cplusplus)
extern "C" {
#endif
                    
int lua_rawisstring(lua_Object o);

int luaConsoleShow(void);
void luaConsoleCreate(char* parent, int close);
void luaConsoleKill(void);

int luaConsoleClearOutput(void);
char* luaConsoleGetOutput(void);
int luaConsoleOutputSize(int size);
int luaConsoleOutputSizeDlg(void);

void luaConsoleEnterMessage(char* text);
void luaConsoleEnterMessagef(char* format, ...);
void luaConsoleEnterCommandStr(char* text);
void luaConsoleEnterCommandStrf(char* format, ...);

void luaConsoleEnterCommand(char* command);

void luaConsolePrintObject(char* name, unsigned int o);

int utlGetLuaFile(char* filename, int save);

#if defined(__cplusplus)
}
#endif

#endif  
