/*
 * Lua Commander - Load Library Rotines in C
 *
 * Copyright (C) 1999-2000, Antonio E. Scuri, Tecgraf/PUC-Rio.
 */


#ifndef _UTL_LOAD_LIB_H
#define _UTL_LOAD_LIB_H

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _utlLoadedLib
{
  void* lib;
}utlLoadedLib;

typedef void(*utlLoadedFunc)(void);

utlLoadedLib* utlLoadLib(char *lib_file_name);
utlLoadedFunc utlGetFunc(utlLoadedLib* utl_lib, char *func_name);
void utlUnLoadLib(utlLoadedLib* utl_lib);

int utlLoadFunc(char *lib_file_name, char *func_name);

#ifdef __cplusplus
}
#endif

#endif
